//@import "~antd/lib/menu/style/index.less";
//@import "~antd/lib/tooltip/style/index.less";
@import "../../../theme/default.less";
@import "../../../theme/index.less";

@layout-prefix-cls: ~"@{ant-prefix}-layout";

.ant-menu-sub {
  background: @primary2-grad !important;
}

.@{layout-prefix-cls} {
  &-sider{
    box-shadow: 1px 0px 40px rgba(0, 0, 0, 0.24);
    &-trigger {
      background: transparent;
      font-size: 25px;
      font-weight: bold;
      padding-bottom: 20px !important;
    }
  }
}

.@{menu-prefix-cls} {
  &-dark {
    background: transparent;
    padding-top: 35px;
  }
  &-dark &-item:hover {
    background: #f0f2f5;
    color: black !important;
  }
  &-dark &-item-active {
    background: #f0f2f5;
    color: white !important;
  }
  &-dark &-submenu-title:hover {
    color: black;
    background: #f0f2f5;
  }

  &-dark &-item-selected {
    background-color: #f0f2f5;
    > a,
    > a:hover {
      color: black;
    }
  }

  &-dark &-inline&-sub {
    background: transparent;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, .45) inset;
  }

  &-submenu-popup&-dark &-item-selected {
    background-color: #f0f2f5;
    color: black;
  }

  &-inline-collapsed {
    > .@{menu-prefix-cls}-item,
    > .@{menu-prefix-cls}-item-group > .@{menu-prefix-cls}-item-group-list > .@{menu-prefix-cls}-item,
    > .@{menu-prefix-cls}-item-group > .@{menu-prefix-cls}-item-group-list > .@{menu-prefix-cls}-submenu > .@{menu-prefix-cls}-submenu-title,
    > .@{menu-prefix-cls}-submenu > .@{menu-prefix-cls}-submenu-title {
      margin-top: 15px;
      margin-bottom: 15px;
      color: white;
      &:hover{
        background-color: #f0f2f5 !important;
        color: black !important;
      }
    }
    &>.@{menu-prefix-cls}-item {
      height: 51px !important;
      padding-top: 8px !important;
      color: white;
      &:hover{
        background-color: #f0f2f5 !important;
        color: black !important;
      }
    }
    &>.@{menu-prefix-cls}-item-selected {
      background-image: url("https://svgshare.com/i/9V3.svg");
      background-repeat: no-repeat;
      background-color: transparent !important;
    }
  }

  &-vertical .@{menu-prefix-cls}-submenu-selected {
    background-image: url("https://svgshare.com/i/9V3.svg");
    background-repeat: no-repeat;
    padding: 0px;
  }

  &:not(.@{menu-prefix-cls}-inline-collapsed) .@{menu-prefix-cls}-item {
    margin-top: 25px !important;
  }

  &:not(.@{menu-prefix-cls}-inline-collapsed) .@{menu-prefix-cls}-item-selected {
    background-color: #FFFFFF;
    width: 90%;
    margin-left: 10px;
    border-radius: 2px;
    box-shadow: 0px 2px 20px rgba(0, 0, 0, 0.5);
    color: black !important;
    font-size: 18px;
  }
  &:not(.@{menu-prefix-cls}-inline-collapsed) {
    font-size: 18px;
    margin-top: 15px;
    margin-bottom: 15px;
    text-align: center !important;
    padding-left: 0px !important;
  }
  &-vertical,
  &-vertical-left,
  &-vertical-right,
  &-inline {
    .@{menu-prefix-cls}-item,
    .@{menu-prefix-cls}-submenu-title {
      margin-bottom: 15px;
      padding: 0px !important;
      text-align: center !important;
      color: white;
    }
  }
}

/**
** CSS for Logos
**/
.logoCollapsed {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 70%;
    background-repeat: no-repeat;
    padding-top: 20px;
    padding-bottom: 90px;
}

// .logo {
//     display: block;
//     margin-left: auto;
//     margin-right: auto;
//     width: 70%;
//     background-repeat: no-repeat;
//     padding-top: 20px;
//     padding-bottom: 60px;
// }

.logo {
  height: 32px;
  background: rgba(255,255,255,.2);
  margin: 16px;
}


.ant-menu-inline-collapsed>.ant-menu-item .anticon {
    color: white;
    font-size: 20px;
    padding-left: 0px;
    display: inline;
    margin-top: 40px !important;

}

.ant-menu-item .anticon,
.ant-menu-submenu-title .anticon {
  display: none;
  position: absolute;
  height: 32px;
  left: 31.48%;
  right: 31.48%;
  top: calc(50% - 32px/2 - 35px);

  font-family: Source Sans Pro;
  font-style: normal;
  font-weight: 600;
  line-height: 32px;
  font-size: 15px;
  text-align: center;

  color: #E8E8E8;
}
